//
//  DevicesController.h
//  HIDController
//
//  Created by Joel Jordan on 11/28/07.
//  Copyright 2007 L510 Labs. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <HIDDevice.h>

@interface DevicesController : NSObject {
	IBOutlet NSArrayController *deviceController;
	NSMutableArray *devices;
	IONotificationPortRef notificationObject;
	CFRunLoopSourceRef notificationRunLoopSource;
	io_iterator_t addedIterator;
	io_iterator_t removedIterator;
}

- (id)init;
- (NSMutableArray *)devices;
- (void)addDevice:(HIDDevice *)newDevice;
- (NSArrayController *)deviceController;
@end
