//
//  HIDElement.h
//  HIDController
//
//  Created by Joel Jordan on 11/29/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface HIDElement : NSObject {
	NSArray *elements;		// subelements
	NSString *name;
	IOHIDElementCookie cookie;		// HID cookie
	NSDictionary *properties;	// properties
	int activeCount;
}

- (id)initFromDictionary:(NSDictionary *)elementDict;
- (NSArray *)elements;
- (NSString *)name;
- (NSDictionary *)properties;
- (BOOL)active;
- (void)setActive:(BOOL)newActiveFlag;
- (IOHIDElementCookie)cookie;
- (void)setCookie:(IOHIDElementCookie)newCookie;

@end
